Base URL
https://api-paycentral.gabondunumerique.com/api/v1
POST
/payment/initiate
X-Api-Key
| Type | |||
|---|---|---|---|
amount | integer | ||
currency | string | ISO 4217 (XAF, XOF) | |
phone | string | ||
description | string | ||
merchant_reference | string | ||
callback_url | string | ||
provider | string |
Request · cURL
curl -X POST https://api-paycentral.gabondunumerique.com/api/v1/payment/initiate \ -H "X-Api-Key: sk_sandbox_xxxx" \ -H "Content-Type: application/json" \ -d '{ "amount": 10000, "currency": "XAF", "phone": "237691234567", "description": "Abonnement Premium", "merchant_reference": "SUB-2024-001", "callback_url": "https://monsite.cm/webhooks/paycentral" }'
Response 200 · JSON
{ "success": true, "data": { "transaction_id": "01HXYZ9K2JABCDEF", "status": "pending", "provider": "mtn", "amount": 10000, "currency": "XAF", "fees": 200, "net_amount": 9800 } }
GET
/payment/{transaction_id}/status
X-Api-Key
| Status | |
|---|---|
pending | |
processing | |
success | |
failed | |
cancelled | |
refunded |
GET
/transactions
Authorization: Bearer {token}
| Type | ||
|---|---|---|
page | integer | |
status | string | |
provider | string | |
from | date | |
to | date |
| mtn | MTN MoMo | CM, CG |
| orange | Orange Money | CM, CG, CF, TD |
| airtel | Airtel Money | CG, GA, TD, CF |
| moov | Moov Money/Flooz | GA, TD |
| mastercard | MasterCard / Visa |
POST
/auth/register
POST
/auth/login
GET
/auth/me